gi-gdk-3.0.29: Gdk bindings

Copyright | Will Thompson and Iñaki García Etxebarria
License | LGPL-2.1
Maintainer | Iñaki García Etxebarria
Safe Haskell | None
Language | Haskell2010

GI.Gdk.Structs.EventSetting

Contents

- Exported types
- Methods
- Properties
  - action
  - name
  - sendEvent
  - type
  - window

Description

Generated when a setting is modified.

Synopsis

- newtype EventSetting = EventSetting (ManagedPtr EventSetting)
- newZeroEventSetting :: MonadIO m => m EventSetting
- getEventSettingAction :: MonadIO m => EventSetting -> m SettingAction
- setEventSettingAction :: MonadIO m => EventSetting -> SettingAction -> m ()
- clearEventSettingName :: MonadIO m => EventSetting -> m ()
- getEventSettingName :: MonadIO m => EventSetting -> m (Maybe Text)
- setEventSettingName :: MonadIO m => EventSetting -> CString -> m ()
- getEventSettingSendEvent :: MonadIO m => EventSetting -> m Int8
- setEventSettingSendEvent :: MonadIO m => EventSetting -> Int8 -> m ()
- getEventSettingType :: MonadIO m => EventSetting -> m EventType
- setEventSettingType :: MonadIO m => EventSetting -> EventType -> m ()
- clearEventSettingWindow :: MonadIO m => EventSetting -> m ()
- getEventSettingWindow :: MonadIO m => EventSetting -> m (Maybe Window)
- setEventSettingWindow :: MonadIO m => EventSetting -> Ptr Window -> m ()

# Exported types

newtype EventSetting Source #

Memory-managed wrapper type.

Constructors

EventSetting (ManagedPtr EventSetting) |

#### Instances

Instances details

Eq EventSetting Source # |
Instance details Defined in GI.Gdk.Structs.EventSetting Methods (==) :: EventSetting -> EventSetting -> Bool Source # (/=) :: EventSetting -> EventSetting -> Bool Source #
BoxedPtr EventSetting Source # |
Instance details Defined in GI.Gdk.Structs.EventSetting Methods boxedPtrCopy :: EventSetting -> IO EventSetting Source # boxedPtrFree :: EventSetting -> IO () Source #
CallocPtr EventSetting Source # |
Instance details Defined in GI.Gdk.Structs.EventSetting Methods boxedPtrCalloc :: IO (Ptr EventSetting) Source #
ManagedPtrNewtype EventSetting Source # |
Instance details Defined in GI.Gdk.Structs.EventSetting Methods toManagedPtr :: EventSetting -> ManagedPtr EventSetting Source #
tag ~ 'AttrSet => Constructible EventSetting tag Source # |
Instance details Defined in GI.Gdk.Structs.EventSetting Methods new :: MonadIO m => (ManagedPtr EventSetting -> EventSetting) -> [AttrOp EventSetting tag] -> m EventSetting Source #

newZeroEventSetting :: MonadIO m => m EventSetting Source #

Construct a `EventSetting` struct initialized to zero.

# Methods

# Properties

## action

what happened to the setting (`SettingActionNew`, `SettingActionChanged` or `SettingActionDeleted`).

getEventSettingAction :: MonadIO m => EventSetting -> m SettingAction Source #

Get the value of the “`action`” field. When overloading is enabled, this is equivalent to

    get eventSetting #action

setEventSettingAction :: MonadIO m => EventSetting -> SettingAction -> m () Source #

Set the value of the “`action`” field. When overloading is enabled, this is equivalent to

    set eventSetting [ #action := value ]

## name

the name of the setting.

clearEventSettingName :: MonadIO m => EventSetting -> m () Source #

Set the value of the “`name`” field to `Nothing`. When overloading is enabled, this is equivalent to

    clear #name

getEventSettingName :: MonadIO m => EventSetting -> m (Maybe Text) Source #

Get the value of the “`name`” field. When overloading is enabled, this is equivalent to

    get eventSetting #name

setEventSettingName :: MonadIO m => EventSetting -> CString -> m () Source #

Set the value of the “`name`” field. When overloading is enabled, this is equivalent to

    set eventSetting [ #name := value ]

## sendEvent

`True` if the event was sent explicitly.

getEventSettingSendEvent :: MonadIO m => EventSetting -> m Int8 Source #

Get the value of the “`send_event`” field. When overloading is enabled, this is equivalent to

    get eventSetting #sendEvent

setEventSettingSendEvent :: MonadIO m => EventSetting -> Int8 -> m () Source #

Set the value of the “`send_event`” field. When overloading is enabled, this is equivalent to

    set eventSetting [ #sendEvent := value ]

## type

the type of the event (`EventTypeSetting`).

getEventSettingType :: MonadIO m => EventSetting -> m EventType Source #

Get the value of the “`type`” field. When overloading is enabled, this is equivalent to

    get eventSetting #type

setEventSettingType :: MonadIO m => EventSetting -> EventType -> m () Source #

Set the value of the “`type`” field. When overloading is enabled, this is equivalent to

    set eventSetting [ #type := value ]

## window

the window which received the event.

clearEventSettingWindow :: MonadIO m => EventSetting -> m () Source #

Set the value of the “`window`” field to `Nothing`. When overloading is enabled, this is equivalent to

    clear #window

getEventSettingWindow :: MonadIO m => EventSetting -> m (Maybe Window) Source #

Get the value of the “`window`” field. When overloading is enabled, this is equivalent to

    get eventSetting #window

setEventSettingWindow :: MonadIO m => EventSetting -> Ptr Window -> m () Source #

Set the value of the “`window`” field. When overloading is enabled, this is equivalent to

    set eventSetting [ #window := value ]